nn.pp.rccore

## Interface IVideoSettings

- All Known Implementing Classes:
    VideoSettings

      public interface IVideoSettings

  Video Settings for KX targets

  All devices with analog video sampling support video settings for adjusting the sampling parameters. Devices with digital video sampling don't need that.

  This class encapsulates a lot of `IVideoSettings.IVideoSetting` entries.

  See Also:
    `RCCore.getVideoSettings()`, `RCCore.isVideoSettingsSupported()`, `VideoEventListener.videoSettingsSupportChanged(boolean)`, `VideoEventListener.videoSettingsUpdated(IVideoSettings)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IVideoSettings.IVideoSetting` Base class for each video setting
    `static interface` | `IVideoSettings.IVideoSettingAction` An "action" video setting
    `static interface` | `IVideoSettings.IVideoSettingBoolean` A boolean video setting
    `static interface` | `IVideoSettings.IVideoSettingInteger` An integer based video setting that can be changed by the user.
    `static interface` | `IVideoSettings.IVideoSettingIntegerReadOnly` An integer based video setting that is not changeable by the user.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVideoSettings.IVideoSettingBoolean` | `getAutoAutoAdjust()` Get the setting whether automatic video adjustment is activated for the port
    `IVideoSettings.IVideoSettingBoolean` | `getAutoColorCalibration()` Get the setting whether automatic color calibration is activated for the port
    `IVideoSettings.IVideoSettingInteger` | `getBrightness()` Get the Video Setting for brightness.
    `IVideoSettings.IVideoSettingInteger` | `getBrightnessBlue()` Get the brightness setting for the blue channel
    `IVideoSettings.IVideoSettingInteger` | `getBrightnessGreen()` Get the brightness setting for the green channel
    `IVideoSettings.IVideoSettingInteger` | `getBrightnessRed()` Get the brightness setting for the red channel
    `IVideoSettings.IVideoSettingAction` | `getCancelSettings()` Get the action to cancel the video settings and revert to the last stored ones
    `IVideoSettings.IVideoSettingInteger` | `getClock()` Get the video setting for the clock (analog video sampling)
    `IVideoSettings.IVideoSettingInteger` | `getContrastBlue()` Get the contrast setting for the blue channel
    `IVideoSettings.IVideoSettingInteger` | `getContrastGreen()` Get the contrast setting for the green channel
    `IVideoSettings.IVideoSettingInteger` | `getContrastRed()` Get the contrast setting for the red channel
    `IVideoSettings.IVideoSettingInteger` | `getNoiseFilter()` Get the setting for the noise filter
    `IVideoSettings.IVideoSettingInteger` | `getOffsetX()` Get the video setting for the horizontal offset (analog video sampling)
    `IVideoSettings.IVideoSettingInteger` | `getOffsetY()` Get the video setting for the vertical offset (analog video sampling)
    `IVideoSettings.IVideoSettingInteger` | `getPhase()` Get the video setting for the phase (analog video sampling)
    `IVideoSettings.IVideoSettingIntegerReadOnly` | `getRefreshRate()` Get the video refresh rate in Hz
    `IVideoSettings.IVideoSettingAction` | `getResetAllModes()` Get the action to reset video settings to defaults for all video modes
    `IVideoSettings.IVideoSettingAction` | `getResetThisMode()` Get the action to reset video settings to defaults for the current video mode
    `IVideoSettings.IVideoSettingAction` | `getResetThisPort()` Get the action to reset video settings to defaults for the port connected to
    `IVideoSettings.IVideoSettingIntegerReadOnly` | `getResolutionX()` Get the horizontal video resolution
    `IVideoSettings.IVideoSettingIntegerReadOnly` | `getResolutionY()` Get the vertical video resolution
    `IVideoSettings.IVideoSettingAction` | `getSaveSettings()` Get the action to permanently store the current settings for this port

- - ### Method Detail

    - #### getBrightness

          IVideoSettings.IVideoSettingInteger getBrightness()

      Get the Video Setting for brightness.

      This is the brightness value for all color channels. It is not used anymore by current KX products. The `IVideoSettings.IVideoSetting.isSupported()` value is false.

      Returns:
        the Video Setting for brightness

    - #### getBrightnessRed

          IVideoSettings.IVideoSettingInteger getBrightnessRed()

      Get the brightness setting for the red channel
      Returns:
        the brightness setting for the red channel

    - #### getBrightnessGreen

          IVideoSettings.IVideoSettingInteger getBrightnessGreen()

      Get the brightness setting for the green channel
      Returns:
        the brightness setting for the green channel

    - #### getBrightnessBlue

          IVideoSettings.IVideoSettingInteger getBrightnessBlue()

      Get the brightness setting for the blue channel
      Returns:
        the brightness setting for the blue channel

    - #### getContrastRed

          IVideoSettings.IVideoSettingInteger getContrastRed()

      Get the contrast setting for the red channel
      Returns:
        the contrast setting for the red channel

    - #### getContrastGreen

          IVideoSettings.IVideoSettingInteger getContrastGreen()

      Get the contrast setting for the green channel
      Returns:
        the contrast setting for the green channel

    - #### getContrastBlue

          IVideoSettings.IVideoSettingInteger getContrastBlue()

      Get the contrast setting for the blue channel
      Returns:
        the contrast setting for the blue channel

    - #### getPhase

          IVideoSettings.IVideoSettingInteger getPhase()

      Get the video setting for the phase (analog video sampling)
      Returns:
        the video setting for the phase (analog video sampling)

    - #### getClock

          IVideoSettings.IVideoSettingInteger getClock()

      Get the video setting for the clock (analog video sampling)
      Returns:
        the video setting for the clock (analog video sampling)

    - #### getOffsetX

          IVideoSettings.IVideoSettingInteger getOffsetX()

      Get the video setting for the horizontal offset (analog video sampling)
      Returns:
        the video setting for the horizontal offset (analog video sampling)

    - #### getOffsetY

          IVideoSettings.IVideoSettingInteger getOffsetY()

      Get the video setting for the vertical offset (analog video sampling)
      Returns:
        the video setting for the vertical offset (analog video sampling)

    - #### getNoiseFilter

          IVideoSettings.IVideoSettingInteger getNoiseFilter()

      Get the setting for the noise filter

      Analog video sampling always introduces noise. With the noise filter, one can adjust how much noise is acceptable. Lowering the noise filter will result in higher video bandwidth, increasing it may result in artifacts.

      Returns:
        the setting for the noise filter

    - #### getAutoColorCalibration

          IVideoSettings.IVideoSettingBoolean getAutoColorCalibration()

      Get the setting whether automatic color calibration is activated for the port
      Returns:
        the setting whether automatic color calibration is activated for the port

    - #### getAutoAutoAdjust

          IVideoSettings.IVideoSettingBoolean getAutoAutoAdjust()

      Get the setting whether automatic video adjustment is activated for the port
      Returns:
        the setting whether automatic video adjustment is activated for the port

    - #### getResetAllModes

          IVideoSettings.IVideoSettingAction getResetAllModes()

      Get the action to reset video settings to defaults for all video modes
      Returns:
        the action to reset video settings to defaults for all video modes

    - #### getResetThisMode

          IVideoSettings.IVideoSettingAction getResetThisMode()

      Get the action to reset video settings to defaults for the current video mode
      Returns:
        the action to reset video settings to defaults for the current video mode

    - #### getResetThisPort

          IVideoSettings.IVideoSettingAction getResetThisPort()

      Get the action to reset video settings to defaults for the port connected to
      Returns:
        the action to reset video settings to defaults for the port connected to

    - #### getSaveSettings

          IVideoSettings.IVideoSettingAction getSaveSettings()

      Get the action to permanently store the current settings for this port
      Returns:
        the action to permanently store the current settings for this port

    - #### getCancelSettings

          IVideoSettings.IVideoSettingAction getCancelSettings()

      Get the action to cancel the video settings and revert to the last stored ones
      Returns:
        the action to cancel the video settings and revert to the last stored ones

    - #### getResolutionX

          IVideoSettings.IVideoSettingIntegerReadOnly getResolutionX()

      Get the horizontal video resolution
      Returns:
        the horizontal video resolution

    - #### getResolutionY

          IVideoSettings.IVideoSettingIntegerReadOnly getResolutionY()

      Get the vertical video resolution
      Returns:
        the vertical video resolution

    - #### getRefreshRate

          IVideoSettings.IVideoSettingIntegerReadOnly getRefreshRate()

      Get the video refresh rate in Hz
      Returns:
        the video refresh rate in Hz

Copyright © 2025 Raritan Inc. All Rights Reserved.